



pip check
IF %ERRORLEVEL% NEQ 0 exit /B 1
python -c "import skimage; print(skimage.__version__)"
IF %ERRORLEVEL% NEQ 0 exit /B 1
set OPENBLAS_NUM_THREADS=1
IF %ERRORLEVEL% NEQ 0 exit /B 1
set OMP_NUM_THREADS=1
IF %ERRORLEVEL% NEQ 0 exit /B 1
setx MPLBACKEND "Agg"
IF %ERRORLEVEL% NEQ 0 exit /B 1
set "SKIMAGE_TEST_STRICT_WARNINGS=0" & pytest --verbose --pyargs skimage -k "not (_not_a_real_test or test_analytical_moments_calculation or test_ellipse_parameter_stability)"
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
